Understanding Society User Support - Support #2204

test (genetics)
02/06/2025 03:11 PM - Understanding Society User Support Team

Status: Resolved Start date: 02/06/2025
Priority: Normal % Done: 100%
Assignee: Genetics UnderSoc

Category: Biomarkers and Genetics

Description

test genetics

History

#1 - 02/07/2025 09:15 AM - Genetics UnderSoc

Received with thanks.

Regards,
Sethlina

#2 - 02/24/2025 04:42 PM - Understanding Society User Support Team
- Status changed from New to Resolved

- % Done changed from 0 to 100

03/29/2025

1/1



http://www.tcpdf.org

